<?php 
include_once('../../../php/sessionStart.php'); 
include_once('../../../php/db/dbExec.php');
include_once('../../../php/timezone.php');

$dtFec=date("Y-m-d");
$nAnio=date("Y");
$nMes=date("m");

$empCod = $_SESSION['empCod'];
$empNom = $_SESSION['empNom'];
$empNit = $_SESSION['empNit'];

?>
<?php include_once('../includes/htmlOpen.php'); ?>
    <main class="main" style="">
      <?php 
        $li[0] = '<i class="fas fa-file-invoice"></i>';
        $li[1] = $_GET["opcNom"];
        include_once('../../../php/includes/ol.php');
      ?>

      <div class="container-as">
        <div class="row">
          <div class="col">
            <ul class="nav nav-pills mb-1" id="pills-tab" role="tablist">
              <li class="nav-item">
                <a class="nav-link active" id="pills-0-tab" data-toggle="pill" href="#pills-0" role="tab" aria-controls="pills-0" aria-selected="true">Planilla Final</a>
              </li>
              <li class="nav-item">
                <a class="nav-link" id="pills-1-tab" data-toggle="pill" href="#pills-1" role="tab" aria-controls="pills-1" aria-selected="true">Buscar Planillas</a>
              </li>
            </ul>
            <div class="tab-content bg-transparent border-0" id="pills-tabContent">
              <div class="tab-pane fade show active" id="pills-0" role="tabpanel" aria-labelledby="pills-0-tab">

                <form action="" name="thisform" autocomplete="off" enctype="multipart/form-data">
                  <div class="form-row">
                    <div class="col-md-10">
                      <div class="form-group">
                        <div class="form-row">
                          <div class="col-2">
                                <label class="font-size-md" for="numNum">Número de Planilla</label>
                                <input type="number" class="form-control form-control-md form-control-as" id="numNum" placeholder="0">
                          </div>
                          <div class="col-2">
                                <label class="font-size-md" for="dtDel">Periodo del:</label>
                                <input type="date" class="form-control form-control-md form-control-as" id="dtDel" placeholder="" disabled>
                          </div>
                          <div class="col-2">
                                <label class="font-size-md" for="dtAl">Al</label>
                                <input type="date" class="form-control form-control-md form-control-as" id="dtAl" maxlength="20" disabled>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-6">
                            <label class="font-size-md"> </label>
                          </div>
                        </div>
                        <div class="form-row">
                          <div class="col-6">
                            <button class="btn btn-success btn-block" id="btnExcel" type="button">Generar Planilla</button>
                          </div>
                        </div>
                      </div>
                    </div>
                  </div>
                </form>
              </div>
              <div class="tab-pane fade" id="pills-1" role="tabpanel" aria-labelledby="pills-1-tab">
                <?php
                  $a='0';
                  $b='1';
                  include('../busPlani/index.html');
                ?>
              </div>
            </div>
          </div>
        </div>
      </div>
    </main>
<?php include_once('../../../php/includes/htmlClose.php'); ?>

<script>
  var pressEnter = false;
  var nuevo = true;
  var nuevoArtic = true;
  var mesCerrado = false;
  var inputCtaMov = "txtCta";
  var totant = 0;
  var inputPlani = "numNum";
  var tblNomperAnt;
  var tblPolAnt;
  var btnAddEdit = "00";
  var inputArtic = "txtCodd";
  var unimed = "XXX";
  var ctaInc = false;
  var inputEmple = "numCoddag";
  var statpla = "A";
  
  const numNum = document.thisform.numNum;
  const dtDel = document.thisform.dtDel;
  const dtAl = document.thisform.dtAl;


  function restriccion(consultar = false){
    if (!consultar) {
      if (isNullPer(numNum.value)  || numNum.value == 0) {
        numNum.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
        return true;
      }
    } else {
      if (isNullPer(numNum.value)) {
        numNum.focus();
        alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
        return true;
      }
    }
    return false;
  }

  function restriccionCamposVacios() {
    if (isNullPer(numNum.value)) {
      numNum.focus();
      alWarning({"msg":{"title":"Campo Vacío","text":"Es necesario ingresar el NO. DE PLANILLA"}});
      return true;
    }
    return false;
  }

  function consultarPla(){
    if (restriccion(true)) {return};
    
    if (!isNullPer(numNum.value)) {
      const parametros = new FormData();
      parametros.append("action", "consultarPla");

      parametros.append("numNum", numNum.value);

      //txtNext.focus()

      $.ajax({
        data:  parametros,
        url:   window.location.origin+window.location.pathname+"actions.php",
        type:  "post",
        contentType: false,
        processData: false,
        success: function (jsonPhp) {
          console.log(jsonPhp);
          const jsonJS = JSON.parse(jsonPhp);
          tblNomperAnt = JSON.stringify(jsonJS.nomper);

          if(jsonJS.error == true){
            alError(jsonJS);
          } else {
            if (isNullPer(jsonJS.nomper)) {
              numNum.focus();
              alWarning({"msg":{"title":"PLANILLA NO REGISTRADA","text":"Esta Planilla no ha sido registrada, revise."}});
              return true;
            } else {
              dtDel.value = jsonJS.ctrpla.ctrp_fini;
              dtAl.value = jsonJS.ctrpla.ctrp_ffin;
              statpla = jsonJS.ctrpla.ctrp_stat;
/*              
              if (jsonJS.ctrpla.ctrp_stat!='C') {
                numNum.focus();
                alWarning({"msg":{"title":"PLANILLA NO ESTA CERRADA","text":"Para poder generar la planilla final, primero debe cerrarla, proceda y vuelva a intentar."}});
                return true;
              }
*/              
            }
          }
        }
      });
    }      
  }

  function limpiar(todo = false){
    dtAl.value= '<?php echo $dtFec; ?>';
    dtDel.value= '<?php echo $dtFec; ?>';
  }

  $(document).ready(function() {
    $(this).find('input:visible:first').focus();
    //document.thisform.dtFec.value = '<?php echo $dtFec; ?>';
    //document.thisform.dtFvalida.value = '<?php echo $dtFec; ?>';
    numNum.value="";
    dtDel.value = dateToday();
    dtAl.value = dateToday();

    // SUBMIT FORM
    $('form').submit(function() {
      return false;
    });

    // FOCUS NUMERO DE ORDEN
    $("#numNum")
    .focus(function() {
      numNum.value="";
      tblClear("tblNomper");
      sumDetao();
      limpiar();
    })
    .keypress(function(e) {
      const keycode = e.keyCode || e.which;
      if (keycode == '13') {pressEnter = true;}
    })
    .keydown(function(e){
      if(ctrlBus(e)) { document.getElementById("pills-1-tab").click(); }
    })
    .change(function (){
      consultarPla();
    });

    // CLICK EXCEL
    $("#btnExcel").click(function (){
      if (restriccion(true)) {return};
/*      
      if (statpla!='C') {
        numNum.focus();
        alWarning({"msg":{"title":"PLANILLA NO ESTA CERRADA","text":"Para poder generar la planilla final, primero debe cerrarla, proceda y vuelva a intentar."}});
        return true;
      }
*/      
      const getnumNum = "?numNum="+numNum.value;
      const getdtDel = "&dtDel="+dtDel.value;      
      const getdtAl = "&dtAl="+dtAl.value;      

      var url = window.location.origin+window.location.pathname+"excel.php"+getnumNum+getdtDel+getdtAl;

      window.location.href = url;
    });

  }); 
    

  // FOCUS PILL
  $('a[data-toggle="pill"]').on('shown.bs.tab', function (e) {
    if (!isMobile()) {
      const target = e.target.attributes.href.value;
      const relatedTarget = e.relatedTarget.attributes.href.value;

      if (target != "#pills-0") {
        $(target+' input:visible:first').focus();
      } else {
        (relatedTarget == "#pills-00") ? numDtradm.focus() : 0;
        (relatedTarget == "#pills-000") ? numCoddag.focus() : 0;
      }
    }
  });

</script>

